%global debug_package %{nil}

Name:               intel-cmt-cat
Summary:            B support for Intel(R) Resource Director Technology(Intel(R) RDT)
Version:            2.0.0
Release:            3
License:            BSD
URL:                https://github.com/01org/%{name}
Source:             https://github.com/01org/%{name}/archive/v%{version}.tar.gz

ExclusiveArch:      x86_64 i686 i586
BuildRequires:      gcc make

%description
This software package provides basic support for
Intel(R) Resource Director Technology (Intel(R) RDT) including:
Cache Monitoring Technology (CMT), Memory Bandwidth Monitoring (MBM),
Cache Allocation Technology (CAT), Code and Data Prioritization (CDP)
and Memory Bandwidth Allocation (MBA).

%package            devel
Summary:            Development files for %{name}
License:            BSD
Requires:           intel-cmt-cat = %{version}
ExclusiveArch:      x86_64 i686 i586

%description        devel
Development files for %{name}

%package_help

%prep
%autosetup -n %{name}-%{version}

%build
%make_build

%install
install -d %{buildroot}/%{_bindir}
install -s %{_builddir}/%{name}-%{version}/pqos/pqos %{buildroot}/%{_bindir}
install %{_builddir}/%{name}-%{version}/pqos/pqos-os %{buildroot}/%{_bindir}
install %{_builddir}/%{name}-%{version}/pqos/pqos-msr %{buildroot}/%{_bindir}
sed -i "1s/.*/\#!\/usr\/bin\/bash/" %{buildroot}/%{_bindir}/pqos-*

install -d %{buildroot}/%{_mandir}/man8
install -m 0644 %{_builddir}/%{name}-%{version}/pqos/pqos.8  %{buildroot}/%{_mandir}/man8
ln -sf %{_mandir}/man8/pqos.8 %{buildroot}/%{_mandir}/man8/pqos-os.8
ln -sf %{_mandir}/man8/pqos.8 %{buildroot}/%{_mandir}/man8/pqos-msr.8

install -d %{buildroot}/%{_bindir}
install -s %{_builddir}/%{name}-%{version}/rdtset/rdtset %{buildroot}/%{_bindir}

install -d %{buildroot}/%{_mandir}/man8
install -m 0644 %{_builddir}/%{name}-%{version}/rdtset/rdtset.8  %{buildroot}/%{_mandir}/man8

install -d %{buildroot}/%{_licensedir}/%{name}-%{version}
install -m 0644 %{_builddir}/%{name}-%{version}/LICENSE %{buildroot}/%{_licensedir}/%{name}-%{version}

install -d %{buildroot}/%{_libdir}
install -s %{_builddir}/%{name}-%{version}/lib/libpqos.so.* %{buildroot}/%{_libdir}
cp -a %{_builddir}/%{name}-%{version}/lib/libpqos.so %{buildroot}/%{_libdir}
cp -a %{_builddir}/%{name}-%{version}/lib/libpqos.so.2 %{buildroot}/%{_libdir}

install -d %{buildroot}/%{_includedir}
install -m 0644 %{_builddir}/%{name}-%{version}/lib/pqos.h %{buildroot}/%{_includedir}

install -d %{buildroot}/%{_usrsrc}/%{name}-%{version}
install -m 0644 %{_builddir}/%{name}-%{version}/LICENSE %{buildroot}/%{_usrsrc}/%{name}-%{version}

install -d %{buildroot}/%{_usrsrc}/%{name}-%{version}/c

install -d %{buildroot}/%{_usrsrc}/%{name}-%{version}/c/CAT
install -m 0644 %{_builddir}/%{name}-%{version}/examples/c/CAT/Makefile          %{buildroot}/%{_usrsrc}/%{name}-%{version}/c/CAT
install -m 0644 %{_builddir}/%{name}-%{version}/examples/c/CAT/reset_app.c       %{buildroot}/%{_usrsrc}/%{name}-%{version}/c/CAT
install -m 0644 %{_builddir}/%{name}-%{version}/examples/c/CAT/allocation_app.c  %{buildroot}/%{_usrsrc}/%{name}-%{version}/c/CAT
install -m 0644 %{_builddir}/%{name}-%{version}/examples/c/CAT/association_app.c %{buildroot}/%{_usrsrc}/%{name}-%{version}/c/CAT

install -d %{buildroot}/%{_usrsrc}/%{name}-%{version}/c/CMT_MBM
install -m 0644 %{_builddir}/%{name}-%{version}/examples/c/CMT_MBM/Makefile      %{buildroot}/%{_usrsrc}/%{name}-%{version}/c/CMT_MBM
install -m 0644 %{_builddir}/%{name}-%{version}/examples/c/CMT_MBM/monitor_app.c %{buildroot}/%{_usrsrc}/%{name}-%{version}/c/CMT_MBM

%pre

%post
/sbin/ldconfig

%preun

%postun
/sbin/ldconfig

%files
%{!?_licensedir:%global license %%doc}
%license %{_licensedir}/%{name}-%{version}/LICENSE
%doc ChangeLog README
%{_bindir}/pqos
%{_bindir}/pqos-os
%{_bindir}/pqos-msr
%{_bindir}/rdtset
%{_libdir}/libpqos.so.*

%files devel
%{_libdir}/libpqos.so
%{_libdir}/libpqos.so.2
%{_includedir}/pqos.h
%{_usrsrc}/%{name}-%{version}/c/CAT/Makefile
%{_usrsrc}/%{name}-%{version}/c/CAT/reset_app.c
%{_usrsrc}/%{name}-%{version}/c/CAT/association_app.c
%{_usrsrc}/%{name}-%{version}/c/CAT/allocation_app.c
%{_usrsrc}/%{name}-%{version}/c/CMT_MBM/Makefile
%{_usrsrc}/%{name}-%{version}/c/CMT_MBM/monitor_app.c
%doc %{_usrsrc}/%{name}-%{version}/LICENSE

%files help
%{_mandir}/man8/pqos.8.gz
%{_mandir}/man8/pqos-os.8.gz
%{_mandir}/man8/pqos-msr.8.gz
%{_mandir}/man8/rdtset.8.gz

%changelog
* Tue Dec 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.0-3
- Package init
